/*
 * $Id: lightlevel.h 499 2021-07-26 05:24:02Z true $
 * begin 20190505 true
 */

#ifndef INC_SENSOR_LIGHTLEVEL_H_
#define INC_SENSOR_LIGHTLEVEL_H_


#include "gd32vf103.h"
#include "driver/gd32v_hw_adc.h"



#define LSENS_PORT          GPIOA
#define LSENS_PIN_A		    GPIO_PIN_2
#define LSENS_PIN_K		    GPIO_PIN_1

#define LSENS_ADC_CHAN_BIT  (1 << 0)



void lsens_pulse(uint16_t cnt);
void lsens_tick();

uint16_t lsens_get_hi();
uint16_t lsens_get_lo();
uint16_t lsens_get_lo_threshold();
void lsens_set_lo_threshold(uint16_t thresh);



#endif /* INC_LED_LIGHTLEVEL_H_ */
