/*
 * $Id: rand16.c 494 2021-07-21 11:46:11Z true $
 * begin 20190616 true
 *
 * lfsr from interwebs
 */

#include <stdint.h>


/*
 * original implementation
 */

uint16_t lfsr;
uint8_t  b;


uint16_t rand16()
{
	b    = ((lfsr >> 0) ^ (lfsr >> 2) ^ (lfsr >> 3) ^ (lfsr >> 5) ) & 1;
	lfsr =  (lfsr >> 1) | (b   << 15);
	return lfsr;
}

void rand16_init(uint16_t seed)
{
	lfsr = seed;
	rand16();
}
