/*
 * $Id: gd32v_hw_spi.h 494 2021-07-21 11:46:11Z true $
 * begin 20210619 true
 */

#ifndef INC_DRIVER_GD32V_HW_SPI_H_
#define INC_DRIVER_GD32V_HW_SPI_H_



#include <stdint.h>
#include "gd32vf103.h"



#define SPI0_SPEED      6000000



void gd32v_spi_init(uint32_t dev, uint8_t speed);

uint32_t gd32v_spi_get_prescale(uint32_t dev);
void gd32v_spi_set_prescale(uint32_t dev, uint32_t prescale);
void gd32v_spi_set_polarity(uint32_t dev, uint8_t  polarity);

void spi_xfer(uint32_t dev, uint8_t *rx, const uint8_t *tx, uint16_t len);



#endif /* INC_DRIVER_GD32V_HW_SPI_H_ */