/*
 * $Id: fw_app.h 499 2021-07-26 05:24:02Z true $
 * begin 20190505 true
 */

#ifndef INC_FW_H_
#define INC_FW_H_



#include "gd32vf103.h"



#define	LED_K_R 		P2_B2
#define LED_K_G			P2_B4
#define LED_K_B			P0_B0

#define FW_STATUS_INTERRUPT     0x01
#define FW_STATUS_LOOP_BUSY     0x02

#define ADC_COUNT               3



extern uint8_t fw_status;



void fw_init(uint8_t initial);

void fw_tick_critical();
void fw_tick_mainloop();

void fw_adc_complete_cb();


// from system_gd32vf103.c
void SystemInit();



#endif /* INC_FW_H_ */
